Skip to main content
Version: API v1

Reset the recovery codes for your multi factor authentication

PUT/v1/mfa
API version
v1
Request method
PUT
Operation ID
resetRecoveryCodes

Request​

Responses​

Format
application/json
Description

The old recovery codes have been deactivated and new ones have been generated.

  • recoveryCodesListarray of string (≥ 16 characters, ≤ 16 characters)required
    • Array[
      • *string (≥ 16 characters, ≤ 16 characters)
      ]
Content-Type: application/json

{
"recoveryCodesList": [
1234123412341234
]
}
{
"type": "object",
"required": [
"recoveryCodesList"
],
"properties": {
"recoveryCodesList": {
"type": "array",
"maxItems": 20,
"minItems": 20,
"items": {
"type": "string",
"minLength": 16,
"maxLength": 16,
"example": 1234123412341234
}
}
}
}

Usage examples​

$ curl \
--fail \
--location \
-X PUT \
-d '{"multiFactorCode":123456}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v1/mfa

On this page